'use strict';
export class IstanbulCoverageHandler {
    coverageMap = {};
    processFile(filePath, fileName, lines) {
        const statementMap = {};
        const s = {};
        const lineCoverage = {};
        for (const [lineNumber, hits] of Object.entries(lines)) {
            const line = Number(lineNumber);
            lineCoverage[lineNumber] = hits;
            statementMap[lineNumber] = {
                start: { line, column: 0 },
                end: { line, column: 0 },
            };
            s[lineNumber] = hits;
        }
        const coverageFile = {
            path: filePath,
            statementMap,
            fnMap: {},
            branchMap: {},
            s,
            f: {},
            b: {},
            l: lineCoverage,
        };
        this.coverageMap[filePath] = coverageFile;
    }
    finalize() {
        return this.coverageMap;
    }
}
//# sourceMappingURL=istanbulJson.js.map