'use strict';
export class SonarCoverageHandler {
    coverageObj;
    constructor() {
        this.coverageObj = { coverage: { '@version': '1', file: [] } };
    }
    processFile(filePath, _fileName, lines) {
        const fileObj = {
            '@path': filePath,
            lineToCover: [],
        };
        for (const [lineNumberString, value] of Object.entries(lines)) {
            const covered = value === 1 ? 'true' : 'false';
            fileObj.lineToCover.push({
                '@lineNumber': Number(lineNumberString),
                '@covered': covered,
            });
        }
        this.coverageObj.coverage.file.push(fileObj);
    }
    finalize() {
        if (this.coverageObj.coverage?.file) {
            this.coverageObj.coverage.file.sort((a, b) => a['@path'].localeCompare(b['@path']));
        }
        return this.coverageObj;
    }
}
//# sourceMappingURL=sonar.js.map