'use strict';
import { readFile } from 'node:fs/promises';
import { resolve } from 'node:path';
import { getRepoRoot } from './getRepoRoot.js';
export async function getPackageDirectories(ignoreDirectories) {
    const { repoRoot, dxConfigFilePath } = (await getRepoRoot());
    const sfdxProjectRaw = await readFile(dxConfigFilePath, 'utf-8');
    const sfdxProject = JSON.parse(sfdxProjectRaw);
    const packageDirectories = sfdxProject.packageDirectories
        .filter((directory) => !ignoreDirectories.includes(directory.path)) // Ignore exact folder names
        .map((directory) => resolve(repoRoot, directory.path));
    return { repoRoot, packageDirectories };
}
//# sourceMappingURL=getPackageDirectories.js.map